Bug 25344 - Add support for circulation status 10 ( item in transit )
Summary: Add support for circulation status 10 ( item in transit )
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 25347
  Show dependency treegraph
 
Reported: 2020-05-01 16:04 UTC by Kyle M Hall
Modified: 2020-08-18 02:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25344: Add support for circulation status 10 ( item in transit ) (3.95 KB, patch)
2020-05-01 16:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25344: Add support for circulation status 10 ( item in transit ) (3.96 KB, patch)
2020-05-01 16:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25344: Add support for circulation status 10 ( item in transit ) (4.00 KB, patch)
2020-05-02 02:38 UTC, David Nind
Details | Diff | Splinter Review
Bug 25344: Add support for circulation status 10 ( item in transit ) (3.92 KB, patch)
2020-08-11 14:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25344: Add support for circulation status 10 ( item in transit ) (3.96 KB, patch)
2020-08-12 13:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-01 16:04:17 UTC
We should support the SIP2 "circulation status" value 10, "in transit between library locations"
Comment 1 Kyle M Hall 2020-05-01 16:06:08 UTC
Created attachment 104124 [details] [review]
Bug 25344: Add support for circulation status 10 ( item in transit )

We should support the SIP2 "circulation status" value 10, "in transit
between library locations"

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t
Comment 2 Kyle M Hall 2020-05-01 16:26:52 UTC
Created attachment 104127 [details] [review]
Bug 25344: Add support for circulation status 10 ( item in transit )

We should support the SIP2 "circulation status" value 10, "in transit
between library locations"

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t
Comment 3 David Nind 2020-05-02 02:38:41 UTC
Created attachment 104172 [details] [review]
Bug 25344: Add support for circulation status 10 ( item in transit )

We should support the SIP2 "circulation status" value 10, "in transit
between library locations"

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Tomás Cohen Arazi 2020-08-11 13:15:12 UTC
I'll be back to this once it is rebased!
Comment 5 Kyle M Hall 2020-08-11 14:55:19 UTC
Created attachment 108076 [details] [review]
Bug 25344: Add support for circulation status 10 ( item in transit )

We should support the SIP2 "circulation status" value 10, "in transit
between library locations"

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Tomás Cohen Arazi 2020-08-12 13:37:50 UTC
Created attachment 108120 [details] [review]
Bug 25344: Add support for circulation status 10 ( item in transit )

We should support the SIP2 "circulation status" value 10, "in transit
between library locations"

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Jonathan Druart 2020-08-13 08:19:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-08-17 15:43:34 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-18 02:25:14 UTC
enhancement, not backported to 19.11.x